Subject: Re: bug#60130: [PATCH] ; * lisp/subr.el (internal--with-narrowing): Simplify

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Dec 2022 09:52:49 +0200

> Cc: [email-masked]
> From: Philip Kaludercic <[email-masked]>
> Date: Fri, 16 Dec 2022 23:40:37 +0000
> 
> Gregory Heytings <[email-masked]> writes:
> 
> >>
> >> I am not sure if I am missing something, but shouldn't the above
> >> patch be "simpler" and more idiomatic?
> >>
> >
> > Indeed.  The "progn" is a remnant of an earlier version of that code,
> > and can safely be removed.
> 
> Ok, I'll push the change.

Please don't install code cleanups on the release branch.

I've reverted the commit on the release branch.  Please install this
on master instead.

Thanks.